ShippingpostBffShippingMethodByExternalIdUpdate
Parameters
1 path · 17 body
Path · 1
externalIdstringRequiredBody · 17
codestringRequiredLength: 1–100
namestringRequiredLength: 1–150
descriptionstring | nullaudiencestring | string | string | stringRequiredisVisiblebooleanisDefaultbooleanisActivebooleansortOrderstring | integerRange: 0–∞
freeShippingEligiblebooleanlegacyPricenumberRange: 0–∞
carrierIdnullcarrierServiceIdnulllogoBlobIdnulltranslationsobject[]3 fieldspaymentMethodIdsstring | integer[]contactGroupIdsstring | integer[]shippingClassIdsstring | integer[]Request
POST /bff/shipping/method/{externalId}/update
curl -X POST "https://api.bizkithub.com/bff/shipping/method/example_externalId/update" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"code": "example_code",
"name": "example_name",
"isVisible": false,
"isDefault": false,
"isActive": false,
"freeShippingEligible": false,
"legacyPrice": 0,
"translations": [
{
"name": "example_name"
}
],
"paymentMethodIds": [],
"contactGroupIds": [],
"shippingClassIds": []
}'Response
JSON payload
{
"success": true
}All response codes
1 status code documented
Need an API key?
All BizKitHub API endpoints require authentication via API key.